Bug 1302650 - Make sure the Apache Pacemaker resource is properly configured when running on an IPv6-only environment
Make sure the Apache Pacemaker resource is properly configured when running o...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: Jiri Stransky
Udi Shkalim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 05:26 EST by Javier Peña
Modified: 2016-10-14 11:19 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-14 11:19:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Javier Peña 2016-01-28 05:26:14 EST
On an IPv6-only environment, the apache pcs resource agent requires the following to monitor the httpd service health:

- Have the wget package installed (I found errors with curl during testing)
- Add "ipv6=true" to the resource agent, like "pcs resource update httpd use_ipv6=true"

Currently, T-H-T does not seem to enforce any of them.
Comment 3 Mike Burns 2016-04-07 17:07:13 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 5 Dan Sneddon 2016-10-14 11:19:53 EDT
This bug was fixed some time ago, at least in OSP 8, but I believe this was fixed in OSP-Director 7.3 release.

Note You need to log in before you can comment on or make changes to this bug.